import { ActionReducerMap } from "@ngrx/store";
import { authReducer, AuthState } from "./reducers/auth.reducers";
import { barsReducer, BarsState } from "./reducers/bars.reducers";

export interface State {
	auth: AuthState;
	bars: BarsState;
}

export const reducersMap: ActionReducerMap<State> = {
	auth: authReducer,
	bars: barsReducer
};